Package Gnumed :: Package timelinelib :: Package canvas :: Package data :: Module transactions :: Class Transactions |
[frames] | no frames]

# Class Transactions

source code

                     object --+
                              |
    general.observer.Observable --+
                                  |
                                 Transactions

Instance Methods
__init__(self, initial_value, initial_name="", history_size=10) x.__init__(...) initializes x; see help(type(x)) for signature | source code
value(self) | source code
status(self) | source code
clear(self) | source code
move(self, index) | source code
new(self, name) | source code
commit(self, transaction) | source code
rollback(self, transaction) | source code
ensure_is_current(self, transaction) | source code
ensure_not_in_transaction(self) | source code
Inherited from `general.observer.Observable`: `listen_for`, `listen_for_any`, `register`, `unlisten`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, initial_value, initial_name="", history_size=10) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### value(self) | source code
Decorators: `@property`

### status(self) | source code
Decorators: `@property`